sg3-utils (1.45-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:13 +0100

sg3-utils (1.45-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1879761). Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
      udev. (LP: #1859858)
    [Fixed Upstream]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 21 May 2020 03:34:16 +0000

sg3-utils (1.45-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Use canonical URL in Vcs-Browser.

  [ Ritesh Raj Sarraf ]
  * Add filter for the debian folder
  * New upstream version 1.45
  * Drop quilt based patch fix-udevadm-path.patch
  * Add patch to fix path for udevadm
  * Update symbol list for 1.45

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 10 Apr 2020 20:52:49 +0530

sg3-utils (1.44-1ubuntu2) focal; urgency=medium

  * Fix a typo in a udev rule that leads to truncated ID_SERIAL values in
    udev. (LP: #1859858)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Feb 2020 11:00:07 +1300

sg3-utils (1.44-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control, debian/rules: build a sg3-udeb installer package again.
    - debian/sg3-udeb.install: install the right binaries for sg3-udeb.
  * Dropped:
    - d/p/ftbfs-sysmacro-include.patch: include correct header for the
      major()/minor() macro definitions. (LP: #1823436)
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 18 Jun 2019 14:51:10 +0000

sg3-utils (1.44-1) unstable; urgency=medium

  * New upstream version 1.44
  * Drop patch ship-rescan-script.sh. Merged upstream.
  * Update new symbol list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 13 Sep 2018 11:03:26 +0545

sg3-utils (1.42-3) unstable; urgency=medium

  * Fix path for udevadm, which now resides in /bin.
    Thanks to Michael Biebl (Closes: #852585)
  * Switch packaging to Salsa

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 10 Sep 2018 10:02:04 +0545

sg3-utils (1.42-2ubuntu2) eoan; urgency=medium

  * d/p/ftbfs-sysmacro-include.patch: include correct header for the
    major() macro definition. (LP: #1823436)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 23 Apr 2019 18:07:53 -0300

sg3-utils (1.42-2ubuntu1) yakkety; urgency=medium

  * debian/control, debian/rules: build a sg3-udeb installer package again.
  * debian/sg3-udeb.install: install the right binaries for sg3-udeb.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 06 Jul 2016 09:19:44 -0400

sg3-utils (1.42-2) unstable; urgency=medium

  * [a3ba3f8] Don't hardcode architecture in install files
  * Also close below bug. Its udev rule error is fixed in 1.42
    (Closes: #799680)
  * [1602649] Add debian/gbp.conf to explicitly enable pristine-tar
    for this package's packaging

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 21:59:58 +0530

sg3-utils (1.42-1) unstable; urgency=medium

  * [5e8831f] Imported Upstream version 1.42
  * [207bf28] Update symbol list for 1.42
  * [5bb50a3] Bump debhelper to 9
  * [3ef31a6] Fix Vcs URLs
  * [ed19382] Update install list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 22 Mar 2016 16:03:46 +0530

sg3-utils (1.41-1) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * sg3-utils-udev (new binary package):  provide the udev rules for
    SCSI-ID mappings and symlinks at boot time for multipath-tools:
    - debian/control: add sg3-utils-udev
    - debian/rules: build it with override_dh_{install,clean}
    - debian/initramfs/hooks: add_udev_rules() and copy_exec() 'sg_inq'
      to initramfs
    - debian/sg3-utils-udev.post{inst,rm}: call update-initramfs

  [ Ritesh Raj Sarraf ]
  * [7c346df] Add misc:Depends to dependency
  * [b719c1a] Clean up README.source
  * [e799461] Remove stale debian/ folder in upstream branch
  * [92db371] Imported Upstream version 1.41
  * [dadce5a] Recover debian/ files from improper gbp import
    --filter=debian
  * [e7aa4ba] Refresh patch debian/patches/ship-rescan-script.sh
  * [33af743] Update symbols introduced in 1.41

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Jul 2015 18:48:43 +0530

sg3-utils (1.39-1) unstable; urgency=medium

  * [a3a22b2] Imported Upstream version 1.39
  * [c1a14cb] Update symbols list

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 29 Sep 2014 13:25:14 +0530

sg3-utils (1.38-2) unstable; urgency=medium

  * [c9b57d9] Ship the rescan-scsi-bus.sh script (Closes: #758926)
    Note: The scsitools package also ships a rescan-scsi-bus script.
    To make the files not overwrite, rescan-scsi-bus.sh script is
    shipped into /usr/bin/

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 27 Aug 2014 15:32:26 +0530

sg3-utils (1.38-1) unstable; urgency=medium

  * [d956539] Use dh-autoreconf for build.
    Thanks to Colin Watson (Closes: #732541)
  * [2fc0300] Imported Upstream version 1.38

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 03 Apr 2014 12:07:32 +0530

sg3-utils (1.36-1) unstable; urgency=low

  * [69e9dac] Imported Upstream version 1.36
  * [cb75936] Add debian compat, level 7
  * [68fed25] update README.source
  * [3c724fc] Add build-dep autotools-dev
  * [e4b9fdd] add destdir to install path
  * [7cfff11] Simplify build with debhelper
  * [f9a7540] Update symbols for 1.36 release
  * [7b0b48d] Enable hardening build

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 23 Jun 2013 16:08:01 +0530

sg3-utils (1.33-1) unstable; urgency=low

  * [d05522e] Fix installation path.
    Thanks to Chow Loong Jin (Closes: #657404)
  * [22587cc] Imported Upstream version 1.33

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 26 Jan 2012 23:40:42 +0530

sg3-utils (1.32-1) unstable; urgency=low

  * New upstream version
  * [06cef8d] Use kfreebsd-any as the build-dep.
    Thanks to Robert Millan (Closes: 634362)
  * [850586d] separate build-arch and build-indep targets
  * [a432747] Drop duplicate changelog
  * [ec2bbd8] Update Standards Version to 3.9.2. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 09 Aug 2011 16:36:28 +0530

sg3-utils (1.31-1) unstable; urgency=low

  * New Upstream Release
  * [0d9bfc1] update symbols file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 17 Mar 2011 19:46:32 +0530

sg3-utils (1.30-1) unstable; urgency=low

  * New Upstream Release
  * Change address to my official Debian address and remove the DMUA flag
  * Add a get-orig-source target
  * Dropping patches that have merged upstream
    - 001_man_page_fixes.patch
    - 002_spelling_error_fixes.patch
  * Update Standards Version to 3.9.1
    - Add BSD license to the copyright section

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 11 Feb 2011 01:22:58 +0530

sg3-utils (1.29-1) unstable; urgency=low

  [Ritesh Raj Sarraf]
  * Adopt package as the new maintainer (Closes: #540828)
  * New upstream release
    + Drop patches, merged upstream
      - 01_am_maintainer_mode.patch
      - 02_kfreebsd.patch
      - 99_autoreconf.patch
    + Add new patches
      - 001_man_page_fixes.patch
      - 002_spelling_error_fixes.patch
  * Update symbol list for new symbols introduced in this release
  * Add ${misc:Depends} to make in lintian clean
  * Add "source/format" and specify the current source format
  * Update Standards Version to 3.8.4 (No changes required)
  * Add Vcs headers
  * Add DMUA Flag
  * Explain about tarball re-packing in README.source

  [Jonathan McDowell]
  * Add myself to Uploaders.
  * Move to source format 3.0 (quilt).

 -- Jonathan McDowell <noodles@earth.li>  Wed, 21 Apr 2010 20:22:32 +0100

sg3-utils (1.28-2) unstable; urgency=low

  * QA upload.
  * Add libsgutils2-2.symbols.kfreebsd. Some of the symbols are Linux
    specific causing FTBFS on kfreebsd.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Nov 2009 20:42:13 +0100

sg3-utils (1.28-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Typo fixes in sg_ident.8 man page. (Closes: #525269)
    - README has been updated for new homepage URL. (Closes: #527904)
  * Add watch file to track new upstream releases.
  * Add symbols file for libsgutils2-2 for improved shlibs dependencies.
  * Cleanup debian/rules
    - Use DH_OPTIONS=-a for binary-arch so we don't have to add -a to each
      debhelper command.
    - Drop -V from dh_makeshlibs as we use a symbols file now.
    - Drop -l and -L parameter from dh_shlibdeps, no longer necessary.
    - Don't copy scripts/sas* as those scripts have been removed upstream.
    - Use dh_prep instead of previous dh_clean -k. (Closes: #541734)
  * Update debian/patches/02_kfreebsd.patch to apply cleanly.
  * Regenerate debian/patches/99_autoreconf.patch in an etch environment to
    keep the patch as small as possible.
  * Bump Standards-Version to 3.8.3. No further changes.
  * Update homepage URL in debian/copyright and add a Homepage: field to
    debian/control. (Closes: #545300)

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Oct 2009 01:43:43 +0100

sg3-utils (1.27-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Don't ignore errors on make clean.
  * Use quilt as a patch system.
  * Enable AM_MAINTAINER_MODE.
  * Add patch by Petr Salinger to fix FTBFS on GNU/kFreeBSD (closes:
    #542748).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 30 Aug 2009 17:35:35 +0200

sg3-utils (1.27-0.1) unstable; urgency=low

  [ Martin Pitt ]
  * Non-maintainer upload; this package blocks DeviceKit, and maintainer is
    apparently not active any more. Also clean up and modernize the package
    somewhat while we are at it.
  * New upstream release (required for current devicekit-disks).
    (Closes: #532546). Upstream original tarball repacked to not contain
    debian/ directory.
  * Rename libsgutils1{,-dev} to libsgutils2-2{,-dev}, upstream bumped SONAME.
    Also call the library libgsutils2-2 to match SONAME. Add
    Conflicts/Replaces for "libsgutils2" to provide a clean upgrade from the
    packages as provided by Upstream and Ubuntu.
  * debian/rules: Update build rules for upstream Makefile → autotools switch.
  * debian/rules: Fix cleaning a clean source package.
  * Demote Recommends to Suggests; the library doesn't actually call the
    binaries in sg3-utils. (Closes: #532547)
  * Drop debian/*.dirs, unnecessary with dh_install.
  * Drop sg3-utils.preinst, not necessary to deal with kernel 2.4 any more.
  * Drop libsgutils2-0.install, libsgutils2-0-dev.install, these packages
    don't exist.
  * Drop libsgutils2.post{inst,rm}: Basically empty, debhelper will create its
    own.
  * libsgutils2-dev.install: Drop *.lo.
  * debian/compat: 4 -> 7. Bump debhelper build-depends accordingly.
  * debian/control: Bump Standards-Version to 3.8.2.
  * debian/control: Modernize package description for Linux 2.6.
    (Closes: #506578)
  * debian/rules: Drop -k argument from dh_clean (thanks lintian).

  [ Frank Lichtenheld ]
  * debian/control, debian/rules: Add dependency of libsgutils-dev on
    libcam-dev on kfreebsd-*. (Closes: #519460)

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Jun 2009 12:04:20 +0200

sg3-utils (1.24-2) unstable; urgency=low

  * Cleaned up package description (Closes: #445920).
  * Don't make libtool think rpath is necessary (Closes: #451153)
  * Capitalized Linux in extended description (Closes: #457526).
  * Completed sentence in libsgutils1 long description (Closes: #421391).
  * Added patch from Aurelian Jarno to build on kfreebsd-* (Closes: #455430).
  * Symlinks in examples directory cleaned up (Closes: #372610).

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sun, 30 Dec 2007 11:52:58 -0700

sg3-utils (1.24-1) unstable; urgency=low

  * New upstream release
  * Conflicts with upstream libsgutils package libsgutils-1-0 (closes: #391077)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Tue,  5 Jun 2007 17:04:21 -0600

sg3-utils (1.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to old syscall usage (Closes: #395512).

 -- Luk Claes <luk@debian.org>  Sun,  5 Nov 2006 17:23:29 +0100

sg3-utils (1.21-2) unstable; urgency=low

  * Added Depends on libsgutils1 to libsgutils1-dev (closes: #387798)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Fri, 22 Sep 2006 00:20:28 -0600

sg3-utils (1.21-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 13 Sep 2006 21:54:30 -0600

sg3-utils (1.20-1) unstable; urgency=low

  * New upstream release

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 26 Apr 2006 22:31:15 -0600

sg3-utils (1.17-3) unstable; urgency=low

  * Cleaned up sg_read(8) manpage (Closes: #294521)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Mon, 13 Feb 2006 17:59:46 -0700

sg3-utils (1.17-2) unstable; urgency=low

  * Add libtool to build-depends

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Tue,  4 Oct 2005 19:40:00 -0600

sg3-utils (1.17-1) unstable; urgency=low

  * New upstream version

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sat,  1 Oct 2005 13:26:16 -0600

sg3-utils (1.08-2) unstable; urgency=low

  * Fix packaging bug that accidentally left off binaries.  Sigh.
    (closes: #271906)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 15 Sep 2004 22:40:06 -0600

sg3-utils (1.08-1) unstable; urgency=low

  * New upstream version
  * Unified package description with list of tools actually installed
    (closes: #271093)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Sun, 12 Sep 2004 21:22:42 -0600

sg3-utils (1.05-1) unstable; urgency=low

  * New upstream release
  * updated description to match tools in package (closes: #221143)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 18 Nov 2003 22:22:29 -0700

sg3-utils (1.03-1) unstable; urgency=low

  * New upstream release (closes: #181999)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 29 Apr 2003 20:18:30 -0600

sg3-utils (0.95-4) unstable; urgency=low

  * Only warns if installed on a kernel version < 2.4 (closes: #136434)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 May 2002 22:55:29 -0600

sg3-utils (0.95-3) unstable; urgency=low

  * Extended description to include descriptions of all tools included in
    the package. (closes: #121968)

 -- Eric Schwartz <emschwar@debian.org>  Sun, 13 Jan 2002 17:09:27 -0700

sg3-utils (0.95-2) unstable; urgency=low

  * Packaging manpages (closes: #122692)
  * Conflicts with cdwrite (closes: #123779)

 -- Eric Schwartz <emschwar@debian.org>  Wed,  2 Jan 2002 01:05:08 -0700

sg3-utils (0.95-1) unstable; urgency=low

  * Initial Release.
  * Adjusted Makefile to include $DESTDIR

 -- Eric Schwartz <emschwar@debian.org>  Wed, 14 Nov 2001 17:05:56 -0700
